Bug 885881

Summary: No systemd service configuration for Xspice
Product: [Fedora] Fedora Reporter: Dean Hunter <deanhunter>
Component: spiceAssignee: Alon Levy <alevy>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: alevy, alexl, cfergeau, dblechte, hdegoede, jforbes, marcandre.lureau, orion, pedrogfrancisco, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 08:46:23 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dean Hunter 2012-12-10 16:30:16 EST
Description of problem:
Xspice can not be started as a systemd service in fedora 18.


Version-Release number of selected component (if applicable):
[root@client18 ~]# yum list installed *spice*
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
spice-glib.x86_64                       0.14-1.fc18             @anaconda       
spice-gtk3.x86_64                       0.14-1.fc18             @anaconda       
spice-server.x86_64                     0.12.0-1.fc18           @anaconda       
spice-vdagent.x86_64                    0.12.0-2.fc18           @fedora         
xorg-x11-server-Xspice.x86_64           0.1.0-1.fc18            @updates-testing
[root@client18 ~]# 


How reproducible:
consistent


Steps to Reproduce:
1. yum install xorg-x11-server-Xspice
2. systemctl start Xspice.service

  
Actual results:
[root@client18 ~]# systemctl start Xspice.service
Failed to issue method call: Unit Xspice.service failed to load: No such file or directory. See system logs and 'systemctl status Xspice.service' for details.
[root@client18 ~]# 


Expected results:
service to be started


Additional info:
Comment 1 Hans de Goede 2012-12-11 03:04:05 EST
Hmm, why would you want to start an X-server as a service, usually it is started by the display manager, ie gdm and that is the service which is managed at the systemd level.
Comment 2 Dean Hunter 2012-12-11 10:34:53 EST
I apologize. I do not know any better. I was testing gnome-boxes and saw that it should connect to a remote host server as easily as to a remote guest server. So I wanted to try it. However, I am unable to find much documentation so I am rather stumbling around. I have used ssh -X and Xrdp, which does use a systemd service.

Could you direct me to instructions for using Xspice on my Fedora 18 server such that I may connect from Boxes on my Fedora 18 client?
Comment 3 Alon Levy 2012-12-11 10:50:16 EST
gnome-boxes can connect to any spice server, and Xspice is a spice server.

Xspice can be run as root or as a user, it takes a number of additional parameters Xorg doesn't, the rest are passed to Xorg. There is a readme in the package:
rpm -ql xorg-x11-server-Xspice
...
/usr/share/doc/xorg-x11-server-Xspice-0.1.0/README.xspice
...

Xspice --disable-ticketing --port 6000 :5.0

and you have an open (no password required) server running on port 6000, unencrypted traffic, using display id 5.0 (so export DISPLAY=:5.0 to use for most X clients).

You then connect with gnome-boxes using port 6000.

To create a systemd unit would be possible too, I'll look at the Xrdp one. Maybe what Hans said makes sense too - i.e. doing it at the gdm level.
Comment 4 Dean Hunter 2012-12-11 10:56:59 EST
Yes, I found the README and followed those instructions, but all I got was a blank screen so I thought I must have missed something.
Comment 5 Alon Levy 2012-12-11 11:08:24 EST
That's expected if you haven't run any X client :)

If you expected the old school stipple background then you need to add it to Xspice parameters (-retro), but it is not recommended since it isn't required and it effect performance (qxl is not optimized for it).

Just launch a window manager and it should be fine.
Comment 6 Dean Hunter 2012-12-11 11:21:40 EST
I guess I expected to see the Gnome desktop as I would with Xrdp. 

Could you remind me how to launch a window manager? I vaguely remember doing this many years ago when first working with a remote X server.
Comment 7 Alon Levy 2012-12-12 06:02:04 EST
Well, you just convinced me that having the same behaviour with Xspice is a good idea, so I'll look into that.

Meahwhile, for launching a gnome session, I can't seem to run another side by side with my existing one

(5 minutes ago)
<alonl> can I run two gnome-sessions with two separate DISPLAY on the same host with the same user?
<mclasen> no

But icewm works like this:

tty A:
Xspice --disable-ticketing --port 8888 :5.0
tty B:
remote-viewer spice://localhost:8888
tty C:
DISPLAY=:5.0 icewm
Comment 8 Dean Hunter 2012-12-12 08:29:46 EST
Thank you for considering the systemd configuration. It will be ever so convenient to have one tool, which I guess is destined to become gnome-boxes, to connect to both host and guest servers and to have it all "just work".
Comment 9 Dean Hunter 2013-04-09 18:25:36 EDT
Any news?
Comment 10 Fedora End Of Life 2013-12-21 04:50:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 08:46:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.